Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: automount

Interfaces

### Description:

Filesystem automounter service.

### Interfaces:

automount_admin( domain , role )

##### Summary

All of the rules required to administrate an automount environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

automount_domtrans( domain )

##### Summary

Execute automount in the automount domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

automount_dontaudit_getattr_tmp_dirs( domain )

##### Summary

Do not audit attempts to get attributes of automount temporary directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

automount_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to use automount file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

automount_dontaudit_write_pipes( domain )

##### Summary

Do not audit attempts to write automount unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

automount_exec_config( domain )

##### Summary

Execute automount in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

automount_read_state( domain )

##### Summary

Read automount process state.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to allow access.

automount_signal( domain )

##### Summary

Send generic signals to automount.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return